Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdInfo.DailyTaxation

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdInfo.DailyTaxation

Enclosing class:
  cmdInfo

    public static class cmdInfo.DailyTaxation
    extends java.lang.Object

Data Class nRep - Number of report (1...3650); SumX - Depend on Type. X is the letter of TAX group if isAmountOnTAX ==true holds - Amount on TAX group; else hold Turnover on TAX group;

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DailyTaxation​(int nRep, java.lang.String sumA, java.lang.String sumB, java.lang.String sumC, java.lang.String sumD, java.lang.String sumE, java.lang.String sumF, java.lang.String sumG, java.lang.String sumH)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getnRep()` |
  `java.lang.String` | `getSumA()` |
  `java.lang.String` | `getSumB()` |
  `java.lang.String` | `getSumC()` |
  `java.lang.String` | `getSumD()` |
  `java.lang.String` | `getSumE()` |
  `java.lang.String` | `getSumF()` |
  `java.lang.String` | `getSumG()` |
  `java.lang.String` | `getSumH()` |
  `java.lang.String` | `getSumX​(int taxIndex)` |
  `boolean` | `isAmountOnTAX()` |
  `boolean` | `isTurnoverOnTAXGr()` |
  `cmdInfo.DailyTaxation` | `setAmountOnTAX()` |
  `cmdInfo.DailyTaxation` | `setTurnoverOnTAXGr()` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DailyTaxation

    public DailyTaxation​(int nRep, java.lang.String sumA, java.lang.String sumB, java.lang.String sumC, java.lang.String sumD, java.lang.String sumE, java.lang.String sumF, java.lang.String sumG, java.lang.String sumH)

- ## Method Details

  - ### setAmountOnTAX

    public cmdInfo.DailyTaxation setAmountOnTAX()

  - ### setTurnoverOnTAXGr

    public cmdInfo.DailyTaxation setTurnoverOnTAXGr()

  - ### isAmountOnTAX

    public boolean isAmountOnTAX()

  - ### isTurnoverOnTAXGr

    public boolean isTurnoverOnTAXGr()

  - ### getnRep

    public int getnRep()

  - ### getSumA

    public java.lang.String getSumA()

  - ### getSumB

    public java.lang.String getSumB()

  - ### getSumC

    public java.lang.String getSumC()

  - ### getSumD

    public java.lang.String getSumD()

  - ### getSumE

    public java.lang.String getSumE()

  - ### getSumF

    public java.lang.String getSumF()

  - ### getSumG

    public java.lang.String getSumG()

  - ### getSumH

    public java.lang.String getSumH()

  - ### getSumX

    public java.lang.String getSumX​(int taxIndex)